#include <bits/stdc++.h>
using namespace std;

int MinWords(int a, int b, string s){
    int cnt = 1;
    for (int j = a; j < b; j++){
        if (j > 0 && s[j] < s[j - 1])
            cnt++;
    }
    return cnt;
}

int main() {
	string s;
	cin >> s;
    int q;
    cin >> q;
    int a, b;
    for (int i = 0; i < q; i++){
        cin >> a >> b;
        cout << MinWords(a, b, s) << endl;
    }
}
